/*
 * framekeeper.hpp
 *
 *  Created on: Aug 16, 2017
 *      Author: julien
 */

#ifndef SRC_MODULES_FRAMEKEEPER_FRAMEKEEPER_HPP_
#define SRC_MODULES_FRAMEKEEPER_FRAMEKEEPER_HPP_

#include "../../OpenCV_includes.hpp"


using namespace std::chrono;

class FrameKeeper{

	private:

		long frameCounter;
		time_t timeBefore;

		high_resolution_clock::time_point t_frame_beginning;
		high_resolution_clock::time_point t_frame_end;
		duration<double, milli> time_span;
		int frame_time;

	public:
		FrameKeeper(int fps);
		void calculate_fps();
		void wait();
		void frame_beginning();

};


#endif /* SRC_MODULES_FRAMEKEEPER_FRAMEKEEPER_HPP_ */

